Subject: Re: [net-next PATCH v5 3/4] net: dsa: Add Airoha AN8855 5-Port Gigabit DSA Switch driver

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 15:15:53 -0800

On Sat, 16 Nov 2024 00:03:55 +0100 Christian Marangi wrote:
> > > Ok I will search for this but it does sounds like something new and not
> > > used by other DSA driver, any hint on where to look for examples?  
> > 
> > It's relatively recent but I think the ops are plumbed thru to DSA.
> > Take a look at all the *_stats members of struct dsa_switch_ops, most
> > of them take a fixed format struct to fill in and the struct has some
> > extra kdoc on which field is what.  
> 
> Thanks for the follow-up, they are the get_stats64 I assume, quite
> different to the ethtools one as we need a poll logic. Ok I will check
> what to drop and rework it.

https://elixir.bootlin.com/linux/v6.12-rc1/source/include/net/dsa.h#L915-L927

am I looking in the wrong place?